Consolidate URL bar history dropmarker styling
We have four different implementations of the history dropmarker: Linux, Windows, Mac, and compacttheme.css. Let's clean this up, both visually and implementation-wise.